
%global meadversion 2.0.1
%global namedversion 2.0.1.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-remoting-jmx}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.1.Final-redhat-1

Name:          %{?scl_prefix}jboss-remoting-jmx
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss JMX over Remoting 3
License:        LGPLv2.1
Group:          Development/Java

%if %with mead
Source100: remoting-jmx-2.0.1.Final-redhat-1-scm-sources.zip
Source102: remoting-jmx-2.0.1.Final-redhat-1.pom
Source103: remoting-jmx-2.0.1.Final-redhat-1-javadoc.jar
Source104: remoting-jmx-2.0.1.Final-redhat-1.jar
Source105: remoting-jmx-2.0.1.Final-redhat-1-project-sources.tar.gz
Source106: remoting-jmx-2.0.1.Final-redhat-1-sources.jar
%endif

URL:            https://github.com/jbossas/remoting-jmx
BuildArch:      noarch
BuildRoot:      %{_tmppath}/remoting-jmx-%{namedversion}-%{release}-root

%description
A project to provide the integration required to expose JMX over Remoting 3
connections.

%if %with javadoc
%package
Summary:        Javadoc for remoting-jmx
Group:          Development/Documentation

BuildRequires:  unzip

%description
%{summary}.
%endif

%prep
%setup -q -n remoting-jmx -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/remoting-jmx-%{namedversion}.jar %{buildroot}%{_javadir}/remoting-jmx-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/remoting-jmx-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/remoting-jmx-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/remoting-jmx-%{namedversion}-sources.jar %{buildroot}%{_javadir}/remoting-jmx-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)


%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/remoting-jmx-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/remoting-jmx-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/remoting-jmx-%{namedversion} -x META-INF/\*
%{__ln_s} remoting-jmx-%{namedversion} %{buildroot}%{_javadocdir}/remoting-jmx

%endif
%clean
%{__rm} -rf %{buildroot}


%files -n %{?scl_prefix}jboss-remoting-jmx
%defattr(0644,root,root,0755)
%doc COPYING.txt README
%{_javadir}/remoting-jmx-%{namedversion}.jar
%{_javadir}/remoting-jmx.jar
%if %with javadoc
%{_javadir}/remoting-jmx-%{namedversion}-javadoc.jar
%{_javadir}/remoting-jmx-javadoc.jar
%endif
%{_javadir}/remoting-jmx-%{namedversion}-sources.jar
%{_javadir}/remoting-jmx-sources.jar

%if %with javadoc
%files -n jboss-remoting-jmx-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/remoting-jmx-%{namedversion}
%{_javadocdir}/remoting-jmx
%endif

%changelog
* Wed Jul 22 2015 Hui Wang <huwang@redhat.com> - 2.0.1-1.Final_redhat_1.1
- Upgrade to 2.0.1.Final-redhat-1

* Thu Sep 25 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.1.3-1.Final_redhat_2.1
- Upgrade to 1.1.3.Final

* Thu Oct 24 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.1.2-1.Final_redhat_1
- Upgrade to 1.1.2.Final

* Tue Sep 24 2013 David Walluck <dwalluck@redhat.com> - 1.1.1-3.Final_redhat_1.1
- update Summary and %%description (not in pom.xml)

* Tue Sep 24 2013 David Walluck <dwalluck@redhat.com> - 1.1.1-2.Final_redhat_1.1
- version Requires
- fix javadoc package
- add doc

* Thu Sep 19 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1.1-1.Final_redhat_1
- Upgrade to 1.1.1.Final

* Mon Sep 16 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1.1-1.CR2_redhat_1
- Upgrade to 1.1.1.CR2

* Sun Feb 17 2013 Hui Wang <huwang@redhat.com> - 0:1.1.0-1.Final_redhat_1
- Upgrade to 1.1.0.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.4-2.Final_redhat_1.7
- Rebuild for MD5

* Tue Aug 21 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.4-1.Final_redhat_1.7
- Upgrade to 1.0.4.Final

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_2.6
- Rebuild unsigned

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_2.5
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.4
- Rebuild using cache signing

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.3
- Rebuild using cache signing

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.1
- Rebuild using cache signing

* Fri May 04 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0.3-1.Final_redhat_1
- Upgrade to 1.0.3.Final

* Mon Feb 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1.Final.3
- Upgrade to new wrapper
- Remove R: jboss-logging-tools
- Fix GID

* Mon Feb 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1.Final.2
- Fix symlink name

* Mon Feb 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1.Final.1
- Upgrade to 1.0.2.Final-redhat-1

* Thu Feb 23 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-1.Final.1
- First build
